
 <?php

    require_once ('../inventario/conexion.php');
 
       
     $Serial = $_POST["Serial"];
     $IP = $_POST['IP'];
     $NombreEquipo = $_POST['NombreEquipo'];
     $Procesador = $_POST['Procesador'];
     $marcaportatil =$_POST['marcaportatil'];
     $sistemaoperativo =$_POST['sistemaoperativo']; 
    $discoduro = $_POST['discoduro']; 
     $estadoportatil = $_POST['estadoportatil']; 
     $memoria = $_POST['memoria'];
      $obsevarcion = $_POST['obsevarcion'];

    $objconexion = new conexion();

    if(!empty($Serial) && !empty($IP) && !empty($NombreEquipo) && !empty($Procesador) && !empty($marcaportatil) && !empty($sistemaoperativo) && !empty($discoduro) && !empty($estadoportatil) && !empty($memoria) && !empty($obsevarcion)) 
   //	echo $return;

{
   

    $sentenciaupdate = "UPDATE portatil SET serial_portatil='$Serial', IP='$IP', nombre_equipo='$NombreEquipo', Procesador='$Procesador', marca_portatil='$marcaportatil', sistema_operativo='$sistemaoperativo', disco_duro='$discoduro', estado_portatil='$estadoportatil', memoria='$memoria',fecha_ingreso = now()
        WHERE Serial_portatil='$Serial'"; 

        

   //echo $sentenciaupdate ;
  

  //$objconexion -> consultararraynum($sentenciaupdate);
  $return = $objconexion->Ejecutar($sentenciaupdate);
 

   //echo "condicional";
    if($return==1)

        {
                  echo '<script language="javascript" type="text/javascript">alert("Se Actualisaron los datos en la base de datos");
                  window.location ="ingresarportatil.php";
                  </script>';
        }
        else
        {
            echo '<script language="javascript" type="text/javascript">alert("error en la Actualizacion");
              //    window.location ="ingresarportatil.php";
                //  </script>';
         }
}


  

    if(!empty($Serial) && !empty($IP) && !empty($NombreEquipo) && !empty($Procesador) && !empty($marcaportatil) && !empty($sistemaoperativo) && !empty($discoduro) && !empty($estadoportatil) && !empty($memoria) && !empty($obsevarcion)) 
   //echo $return;
{
   
$SentenciaInsert2 = "INSERT INTO historial_portatil VALUES(null,'".$Serial."','".$IP."','".$marcaportatil."','".$estadoportatil."','".$memoria."','".$Procesador."','".$sistemaoperativo."','".$discoduro."','".$NombreEquipo."',null,now(),'".$obsevarcion."')";


 //echo $SentenciaInsert2 ;

 $return = $objconexion->Ejecutar($SentenciaInsert2);

 //echo "condicional";
    if($return==1)

        {
                  echo '<script language="javascript" type="text/javascript">alert("Se Ingresaron los datos en la base de datos");
                  window.location ="ingresarportatil.php";
                  </script>';
        }
        else
        {
            echo '<script language="javascript" type="text/javascript">alert("error en la Insercion de datos");
              //    window.location ="ingresarportatil.php";
                //  </script>';
         }
}
?>